Subject: Re: [PATCH v3] leds: implement OpenFirmare GPIO LED driver

From: Grant Likely <[email-masked]>
Date: Thu, 17 Jul 2008 09:04:22 -0600

On Thu, Jul 17, 2008 at 06:13:35PM +0400, Anton Vorontsov wrote:
> On Thu, Jul 17, 2008 at 06:05:19PM +0400, Anton Vorontsov wrote:
> [...]
> > > I think it would be better to have a module that scans the device tree
> > > for LED nodes and registers a single leds-gpio platform device for the
> > > whole lot.
> > > 
> > > Thoughts?
> > 
> > I like the idea, thanks.
> 
> Ugh, no. The idea sounds good, but in practice it isn't, since we'll
> have to handle suspend/resume ops ourselves. When we stick with the
> device/driver model we're getting all this for free.

Won't the leds-gpio driver give you suspend/resume support?

g.